Loading...
Searching...
No Matches
mongocxx::v_noabi::options::distinct Class Reference

`#include <mongocxx/v_noabi/mongocxx/options/distinct.hpp>`

## Description

Used by mongocxx::v_noabi::collection.

## Public Member Functions

| distinct ()=default
| Default initialization.
| distinct (v1::distinct_options opts)
| Construct with the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & | collation () const
| Retrieves the current collation for this operation.
distinct & | collation (bsoncxx::v_noabi::document::view_or_value collation)
| Sets the collation for this operation.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::types::bson_value::view_or_value > const & | comment () const
| The current comment for this operation.
distinct & | comment (bsoncxx::v_noabi::types::bson_value::view_or_value comment)
| Sets the comment for this operation.
bsoncxx::v_noabi::stdx::optional< std::chrono::milliseconds > const & | max_time () const
| The current max_time setting.
distinct & | max_time (std::chrono::milliseconds max_time)
| Sets the maximum amount of time for this operation to run (server-side) in milliseconds.
| operator v1::distinct_options () const
| Convert to the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< v_noabi::read_concern > const & | read_concern () const
| The current read_concern for this operation.
distinct & | read_concern (v_noabi::read_concern rc)
| Sets the read_concern for this operation.
bsoncxx::v_noabi::stdx::optional< v_noabi::read_preference > const & | read_preference () const
| The current read_preference for this operation.
distinct & | read_preference (v_noabi::read_preference rp)
| Sets the read_preference for this operation.

## Constructor & Destructor Documentation

## distinct() [1/2]

mongocxx::v_noabi::options::distinct::distinct | ( |  | ) |

default

Default initialization.

## distinct() [2/2]

mongocxx::v_noabi::options::distinct::distinct | ( | v1::distinct_options | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## collation() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & mongocxx::v_noabi::options::distinct::collation | ( |  | ) | const

inline

Retrieves the current collation for this operation.

Returns
  The current collation.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## collation() [2/2]

distinct & mongocxx::v_noabi::options::distinct::collation | ( | bsoncxx::v_noabi::document::view_or_value | collation | ) |

inline

Sets the collation for this operation.

Parameters

  collation | The new collation.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## comment() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::types::bson_value::view_or_value > const & mongocxx::v_noabi::options::distinct::comment | ( |  | ) | const

inline

The current comment for this operation.

Returns
  The current comment

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## comment() [2/2]

distinct & mongocxx::v_noabi::options::distinct::comment | ( | bsoncxx::v_noabi::types::bson_value::view_or_value | comment | ) |

inline

Sets the comment for this operation.

Parameters

  comment | The new comment.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## max_time() [1/2]

bsoncxx::v_noabi::stdx::optional< std::chrono::milliseconds > const & mongocxx::v_noabi::options::distinct::max_time | ( |  | ) | const

inline

The current max_time setting.

Returns
  The current max time (in milliseconds).

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## max_time() [2/2]

distinct & mongocxx::v_noabi::options::distinct::max_time | ( | std::chrono::milliseconds | max_time | ) |

inline

Sets the maximum amount of time for this operation to run (server-side) in milliseconds.

Parameters

  max_time | The max amount of time (in milliseconds).

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## operator v1::distinct_options()

mongocxx::v_noabi::options::distinct::operator v1::distinct_options | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## read_concern() [1/2]

bsoncxx::v_noabi::stdx::optional< v_noabi::read_concern > const & mongocxx::v_noabi::options::distinct::read_concern | ( |  | ) | const

inline

The current read_concern for this operation.

Returns
  the current read_concern.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## read_concern() [2/2]

distinct & mongocxx::v_noabi::options::distinct::read_concern | ( | v_noabi::read_concern | rc | ) |

inline

Sets the read_concern for this operation.

Parameters

  rc | The new read_concern.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## read_preference() [1/2]

bsoncxx::v_noabi::stdx::optional< v_noabi::read_preference > const & mongocxx::v_noabi::options::distinct::read_preference | ( |  | ) | const

inline

The current read_preference for this operation.

Returns
  the current read_preference.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

## read_preference() [2/2]

distinct & mongocxx::v_noabi::options::distinct::read_preference | ( | v_noabi::read_preference | rp | ) |

inline

Sets the read_preference for this operation.

Parameters

  rp | The new read_preference.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/distinct/

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/distinct.hpp